CRAN Package Check Results for Package pkgndep

Last updated on 2021-11-28 19:49:00 CET.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 1.1.0 OK
r-devel-linux-x86_64-debian-gcc 1.1.0 10.75 140.21 150.96 OK
r-devel-linux-x86_64-fedora-clang 1.1.0 241.57 OK
r-devel-linux-x86_64-fedora-gcc 1.1.0 225.38 OK
r-devel-windows-x86_64-new-UL 1.1.0 30.00 255.00 285.00 OK
r-devel-windows-x86_64-new-TK 1.1.0 OK
r-devel-windows-x86_64-old 1.1.0 18.00 238.00 256.00 OK
r-patched-linux-x86_64 1.1.0 14.53 160.02 174.55 OK
r-patched-solaris-x86 1.1.0 239.00 OK
r-release-linux-x86_64 1.1.0 13.70 163.44 177.14 OK
r-release-macos-arm64 1.1.0 OK
r-release-macos-x86_64 1.1.0 OK
r-release-windows-ix86+x86_64 1.1.0 32.00 164.00 196.00 OK
r-oldrel-macos-x86_64 1.1.0 ERROR
r-oldrel-windows-ix86+x86_64 1.1.0 32.00 221.00 253.00 OK

Check Details

Version: 1.1.0
Check: whether package can be installed
Result: WARN
    Found the following significant warnings:
     Note: possible error in 'Legend(labels = legend_labels, ': unused argument (graphics = graphics)
     Note: possible error in 'Legend(title = "", at = c("Imported functions", ': unused argument (graphics = list(function(x, y, w, h) grid.rect(x, y, w, unit(1.6, "mm"), gp = gpar(fill = "#ff7f00", col = "white")), function(x, y, w, h) grid.rect(x, y, w, unit(1.6, "mm"), gp = gpar(fill = "#cab2d6", col = "white")), function(x, y, w, h) grid.rect(x, y, w, unit(1.6, "mm"), gp = gpar(fill = "#8dd3c7", col = "white")))[ind])
    See ‘/Volumes/Builds/packages/high-sierra-x86_64/results/4.0/pkgndep.Rcheck/00install.out’ for details.
    Information on the location(s) of code generating the ‘Note’s can be
    obtained by re-running with environment variable R_KEEP_PKG_SOURCE set
    to ‘yes’.
Flavor: r-oldrel-macos-x86_64

Version: 1.1.0
Check: R code for possible problems
Result: NOTE
    plot.pkgndep: possible error in Legend(labels = legend_labels, graphics
     = graphics, title = "", labels_gp = gpar(fontsize =
     legend_fontsize)): unused argument (graphics = graphics)
    plot.pkgndep: possible error in Legend(title = "", at = c("Imported
     functions", "Imported S4 methods", "Imported S4 classes")[ind],
     graphics = list(function(x, y, w, h) grid.rect(x, y, w, unit(1.6,
     "mm"), gp = gpar(fill = "#ff7f00", col = "white")), function(x, y, w,
     h) grid.rect(x, y, w, unit(1.6, "mm"), gp = gpar(fill = "#cab2d6",
     col = "white")), function(x, y, w, h) grid.rect(x, y, w, unit(1.6,
     "mm"), gp = gpar(fill = "#8dd3c7", col = "white")))[ind], grid_width
     = unit(0.6, "cm"), labels_gp = gpar(fontsize = legend_fontsize)):
     unused argument (graphics = list(function(x, y, w, h) grid.rect(x, y,
     w, unit(1.6, "mm"), gp = gpar(fill = "#ff7f00", col = "white")),
     function(x, y, w, h) grid.rect(x, y, w, unit(1.6, "mm"), gp =
     gpar(fill = "#cab2d6", col = "white")), function(x, y, w, h)
     grid.rect(x, y, w, unit(1.6, "mm"), gp = gpar(fill = "#8dd3c7", col =
     "white")))[ind])
Flavor: r-oldrel-macos-x86_64

Version: 1.1.0
Check: examples
Result: ERROR
    Running examples in ‘pkgndep-Ex.R’ failed
    The error most likely occurred in:
    
    > ### Name: pkgndep
    > ### Title: Number of dependency packages
    > ### Aliases: pkgndep
    >
    > ### ** Examples
    >
    > ## Not run:
    > ##D x = pkgndep("ComplexHeatmap")
    > ## End(Not run)
    > # The `x` variable generated by `pkgndep()` is already saved in this package.
    > x = readRDS(system.file("extdata", "ComplexHeatmap_dep.rds", package = "pkgndep"))
    > x
    ComplexHeatmap, version 2.9.4
    30 additional packages are required for installing 'ComplexHeatmap'
    117 additional packages are required if installing packages listed in all fields in DESCRIPTION
    > plot(x)
    Error in Legend(labels = legend_labels, graphics = graphics, title = "", :
     unused argument (graphics = graphics)
    Calls: plot -> plot.pkgndep
    Execution halted
Flavor: r-oldrel-macos-x86_64

Version: 1.1.0
Check: re-building of vignette outputs
Result: WARN
    Error(s) in re-building vignettes:
     ...
    --- re-building ‘pkgndep.Rmd’ using rmarkdown
    Pandoc is required to build R Markdown vignettes but not available. Please make sure it is installed.
    Quitting from lines 52-56 (pkgndep.Rmd)
    Error: processing vignette 'pkgndep.Rmd' failed with diagnostics:
    unused argument (graphics = graphics)
    --- failed re-building ‘pkgndep.Rmd’
    
    SUMMARY: processing the following file failed:
     ‘pkgndep.Rmd’
    
    Error: Vignette re-building failed.
    Execution halted
Flavor: r-oldrel-macos-x86_64